import { IAvatarPartSets, IAnimationFrameData } from "../../../interfaces/Avatar.interface";
import { AvatarAction } from "../actions/AvatarAction";
import { AvatarAnimation } from "./AvatarAnimation";
export declare class AvatarAnimationManager {
    private _animations;
    private _avatarAnimationsLib;
    registerAnimation(action: AvatarAction): void;
    getAnimation(action: AvatarAction): AvatarAnimation;
    getLayerData(action: AvatarAction, frame: number, type: string): IAnimationFrameData;
    get animations(): IAvatarPartSets;
}
